When you need to install and configure Java 7, Windows 8 and 8.1, or Android 4.4 and above, you don’t need to know Java 7 or Java 8 anymore: The instructions are in the Oracle Developer Blog

article.

The company’s blog post explains that developers can still use Java 7 if they wish, but that “Java 7 is no longer supported and the following versions are no longer available”: Windows 8.0, 8.5, and 8